org.eclipse.viatra.cep.core.api.engine

## Class CEPEngine

- java.lang.Object
- - org.eclipse.viatra.cep.core.api.engine.CEPEngine

-     public class CEPEngine
      extends java.lang.Object

  The engine for processing complex events.

  The engine hosts the following components:

  - a `DefaultEventModelManager`, dealing with the internal representation of the (partially) matched event patterns;
  - a `DefaultStreamManager`, managing the streams of events;
  - an EVM `ExecutionSchema`, serving as the rule engine.

  An instance of the engine can be obtained either by using the default event processing context (`newEngine()` ), or by specifying one explicitly (`#newEngine(EventContext)`).

  Since:
    0.8

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CEPEngine.CEPEngineBuilder` Builder class for the `CEPEngine`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEngineId()`
    `org.apache.log4j.Logger` | `getLogger()`
    `IStreamManager` | `getStreamManager()`
    `static CEPEngine.CEPEngineBuilder` | `newEngine()`
    `void` | `reset()` Clears the event processing state, including the partial event pattern matches and the event stream
    `void` | `setCepEngineDebugLevel(org.apache.log4j.Level level)` Set the debug `Level` of the `Logger` instance associated with the current `CEPEngine` instance.
    `void` | `setRuleEngineDebuggingLevel(org.apache.log4j.Level level)` Set the debug `Level` of the `Logger` instance associated with the rule engine ( `ExecutionSchema`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newEngine

          public static CEPEngine.CEPEngineBuilder newEngine()

    - #### reset

          public void reset()

      Clears the event processing state, including the partial event pattern matches and the event stream

    - #### getEngineId

          public java.lang.String getEngineId()

    - #### getStreamManager

          public IStreamManager getStreamManager()

    - #### setRuleEngineDebuggingLevel

          public void setRuleEngineDebuggingLevel(org.apache.log4j.Level level)

      Set the debug `Level` of the `Logger` instance associated with the rule engine ( `ExecutionSchema`).
      Parameters:
        `level` - the `Level` to be set

    - #### setCepEngineDebugLevel

          public void setCepEngineDebugLevel(org.apache.log4j.Level level)

      Set the debug `Level` of the `Logger` instance associated with the current `CEPEngine` instance.
      Parameters:
        `level` - the `Level` to be set

    - #### getLogger

          public org.apache.log4j.Logger getLogger()

      Returns:
        the `Logger` instance associated with the current `CEPEngine` instance.